Index: tests/Fragmentations/Fragmenting/1_2-dimethylbenzene/pre/1_2-dimethylbenzene.xyz
===================================================================
--- tests/Fragmentations/Fragmenting/1_2-dimethylbenzene/pre/1_2-dimethylbenzene.xyz	(revision 878044f2802b7b4799a56748e65367ee5b94e541)
+++ tests/Fragmentations/Fragmenting/1_2-dimethylbenzene/pre/1_2-dimethylbenzene.xyz	(revision 878044f2802b7b4799a56748e65367ee5b94e541)
@@ -0,0 +1,20 @@
+18
+NCI NSC 60920 3, 4-Xylene
+C    1.8161   -1.4446    0.0014
+C    0.5110   -0.6911    0.0019
+C    0.5110    0.6911    0.0003
+C   -0.6863   -1.3823   -0.0018
+C    1.8161    1.4446   -0.0020
+C   -0.6863    1.3824    0.0003
+C   -1.8832   -0.6913   -0.0014
+C   -1.8832    0.6913    0.0023
+H    2.1318   -1.6250    1.0290
+H    1.6853   -2.3976   -0.5112
+H    2.5753   -0.8561   -0.5138
+H   -0.6863   -2.4623   -0.0054
+H    2.1297    1.6250   -1.0302
+H    1.6864    2.3976    0.5109
+H    2.5763    0.8561    0.5118
+H   -0.6863    2.4624   -0.0010
+H   -2.8186   -1.2313   -0.0047
+H   -2.8186    1.2313    0.0027
Index: tests/Fragmentations/Fragmenting/1_2-dimethylbenzene/testsuite-fragmenting-1_2-dimethylbenzene-order1.at
===================================================================
--- tests/Fragmentations/Fragmenting/1_2-dimethylbenzene/testsuite-fragmenting-1_2-dimethylbenzene-order1.at	(revision 878044f2802b7b4799a56748e65367ee5b94e541)
+++ tests/Fragmentations/Fragmenting/1_2-dimethylbenzene/testsuite-fragmenting-1_2-dimethylbenzene-order1.at	(revision 878044f2802b7b4799a56748e65367ee5b94e541)
@@ -0,0 +1,21 @@
+### 1_2-dimethylbenzene - order 1
+
+AT_SETUP([Fragmentations - 1_2-dimethylbenzene order 1])
+AT_KEYWORDS([fragmentation non-convex-envelope])
+
+MOL=1_2-dimethylbenzene
+DISTANCE="2."
+FILENAME="BondFragment"
+
+FragNo=8
+
+file=${MOL}.xyz
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/Fragmentations/Fragmenting/${MOL}/pre/$file $file], 0)
+AT_CHECK([chmod u+w $file], 0)
+
+AT_CHECK([../../molecuilder -i $file -I --select-molecule-by-id 0 -f $FILENAME --order 1 --distance $DISTANCE], 0, [stdout], [stderr])
+AT_CHECK([ls ${FRAGMENTPREFIX}*.conf | wc -l], 0, [stdout], [stderr])
+AT_CHECK([grep $FragNo stdout], 0, [stdout], [stderr])
+
+AT_CLEANUP
+
Index: tests/Fragmentations/Fragmenting/1_2-dimethylbenzene/testsuite-fragmenting-1_2-dimethylbenzene-order2.at
===================================================================
--- tests/Fragmentations/Fragmenting/1_2-dimethylbenzene/testsuite-fragmenting-1_2-dimethylbenzene-order2.at	(revision 878044f2802b7b4799a56748e65367ee5b94e541)
+++ tests/Fragmentations/Fragmenting/1_2-dimethylbenzene/testsuite-fragmenting-1_2-dimethylbenzene-order2.at	(revision 878044f2802b7b4799a56748e65367ee5b94e541)
@@ -0,0 +1,21 @@
+### 1_2-dimethylbenzene - order 2
+
+AT_SETUP([Fragmentations - 1_2-dimethylbenzene order 2])
+AT_KEYWORDS([fragmentation non-convex-envelope])
+
+MOL=1_2-dimethylbenzene
+DISTANCE="2."
+FILENAME="BondFragment"
+
+FragNo=16
+
+file=${MOL}.xyz
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/Fragmentations/Fragmenting/${MOL}/pre/$file $file], 0)
+AT_CHECK([chmod u+w $file], 0)
+
+AT_CHECK([../../molecuilder -i $file -I --select-molecule-by-id 0 -f $FILENAME --order 2 --distance $DISTANCE], 0, [stdout], [stderr])
+AT_CHECK([ls ${FRAGMENTPREFIX}*.conf | wc -l], 0, [stdout], [stderr])
+AT_CHECK([grep $FragNo stdout], 0, [stdout], [stderr])
+
+AT_CLEANUP
+
Index: tests/Fragmentations/Fragmenting/1_2-dimethylbenzene/testsuite-fragmenting-1_2-dimethylbenzene-order3.at
===================================================================
--- tests/Fragmentations/Fragmenting/1_2-dimethylbenzene/testsuite-fragmenting-1_2-dimethylbenzene-order3.at	(revision 878044f2802b7b4799a56748e65367ee5b94e541)
+++ tests/Fragmentations/Fragmenting/1_2-dimethylbenzene/testsuite-fragmenting-1_2-dimethylbenzene-order3.at	(revision 878044f2802b7b4799a56748e65367ee5b94e541)
@@ -0,0 +1,21 @@
+### 1_2-dimethylbenzene - order 3
+
+AT_SETUP([Fragmentations - 1_2-dimethylbenzene order 3])
+AT_KEYWORDS([fragmentation non-convex-envelope])
+
+MOL=1_2-dimethylbenzene
+DISTANCE="2."
+FILENAME="BondFragment"
+
+FragNo=26
+
+file=${MOL}.xyz
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/Fragmentations/Fragmenting/${MOL}/pre/$file $file], 0)
+AT_CHECK([chmod u+w $file], 0)
+
+AT_CHECK([../../molecuilder -i $file -I --select-molecule-by-id 0 -f $FILENAME --order 3 --distance $DISTANCE], 0, [stdout], [stderr])
+AT_CHECK([ls ${FRAGMENTPREFIX}*.conf | wc -l], 0, [stdout], [stderr])
+AT_CHECK([grep $FragNo stdout], 0, [stdout], [stderr])
+
+AT_CLEANUP
+
Index: tests/Fragmentations/Fragmenting/1_2-dimethylbenzene/testsuite-fragmenting-1_2-dimethylbenzene-order4.at
===================================================================
--- tests/Fragmentations/Fragmenting/1_2-dimethylbenzene/testsuite-fragmenting-1_2-dimethylbenzene-order4.at	(revision 878044f2802b7b4799a56748e65367ee5b94e541)
+++ tests/Fragmentations/Fragmenting/1_2-dimethylbenzene/testsuite-fragmenting-1_2-dimethylbenzene-order4.at	(revision 878044f2802b7b4799a56748e65367ee5b94e541)
@@ -0,0 +1,21 @@
+### 1_2-dimethylbenzene - order 4
+
+AT_SETUP([Fragmentations - 1_2-dimethylbenzene order 4])
+AT_KEYWORDS([fragmentation non-convex-envelope])
+
+MOL=1_2-dimethylbenzene
+DISTANCE="2."
+FILENAME="BondFragment"
+
+FragNo=39
+
+file=${MOL}.xyz
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/Fragmentations/Fragmenting/${MOL}/pre/$file $file], 0)
+AT_CHECK([chmod u+w $file], 0)
+
+AT_CHECK([../../molecuilder -i $file -I --select-molecule-by-id 0 -f $FILENAME --order 4 --distance $DISTANCE], 0, [stdout], [stderr])
+AT_CHECK([ls ${FRAGMENTPREFIX}*.conf | wc -l], 0, [stdout], [stderr])
+AT_CHECK([grep $FragNo stdout], 0, [stdout], [stderr])
+
+AT_CLEANUP
+
